aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/brcm2708/image/gen_rpi_sdcard_img.sh
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/brcm2708/image/gen_rpi_sdcard_img.sh')
-rwxr-xr-xtarget/linux/brcm2708/image/gen_rpi_sdcard_img.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/target/linux/brcm2708/image/gen_rpi_sdcard_img.sh b/target/linux/brcm2708/image/gen_rpi_sdcard_img.sh
new file mode 100755
index 000000000..1b7e65ea5
--- /dev/null
+++ b/target/linux/brcm2708/image/gen_rpi_sdcard_img.sh
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+set -x
+[ $# == 5 ] || {
+ echo "SYNTAX: $0 <file> <bootfs image> <rootfs image> <bootfs size> <rootfs size>"
+ exit 1
+}
+
+OUTPUT="$1"
+BOOTFS="$2"
+ROOTFS="$3"
+BOOTFSSIZE="$4"
+ROOTFSSIZE="$5"
+
+head=4
+sect=63
+
+set `ptgen -o $OUTPUT -h $head -s $sect -l 4096 -t c -p ${BOOTFSSIZE}M -t 83 -p ${ROOTFSSIZE}M`
+
+BOOTOFFSET="$(($1 / 512))"
+BOOTSIZE="$(($2 / 512))"
+ROOTFSOFFSET="$(($3 / 512))"
+ROOTFSSIZE="$(($4 / 512))"
+
+dd bs=512 if="$BOOTFS" of="$OUTPUT" seek="$BOOTOFFSET" conv=notrunc
+dd bs=512 if="$ROOTFS" of="$OUTPUT" seek="$ROOTFSOFFSET" conv=notrunc
+
+
+